{-# LANGUAGE GADTs               #-}
{-# LANGUAGE LambdaCase          #-}
{-# LANGUAGE MultiWayIf          #-}
{-# LANGUAGE BinaryLiterals      #-}
{-# LANGUAGE TemplateHaskell     #-}
{-# LANGUAGE ScopedTypeVariables #-}
{-# LANGUAGE DeriveDataTypeable  #-}

module Phoityne.IO.GUI.GTK.Constant
  where

-- モジュール

-- システム
import qualified Data.Text as T
import System.FilePath

-- |
--
--
_GLADE_FILE :: String
_GLADE_FILE = "conf" </> "Phoityne.glade"

_FONT_DESC :: String
_FONT_DESC = "MS Gothic"


_WINDOW_NAME :: String
_WINDOW_NAME = "MainWindow"

_NAME_TREE_VIEW :: String
_NAME_TREE_VIEW = "TreeView"

_NAME_TREE_VIEW_MENU :: String
_NAME_TREE_VIEW_MENU = "TreeViewPopupMenu"

_NAME_TREE_VIEW_MENU_CREATE_FOLDER :: String
_NAME_TREE_VIEW_MENU_CREATE_FOLDER = "TreeViewPopupCreateFolderAction"

_NAME_TREE_VIEW_MENU_CREATE_FILE :: String
_NAME_TREE_VIEW_MENU_CREATE_FILE = "TreeViewPopupCreateFileAction"

_NAME_TREE_VIEW_MENU_RENAME :: String
_NAME_TREE_VIEW_MENU_RENAME = "TreeViewPopupRenameAction"

_NAME_TREE_VIEW_MENU_DELETE :: String
_NAME_TREE_VIEW_MENU_DELETE = "TreeViewPopupDeleteAction"

_NAME_TREE_VIEW_MENU_SEARCH :: String
_NAME_TREE_VIEW_MENU_SEARCH = "TreeViewPopupSearchAction"

_NAME_TREE_VIEW_MENU_REPLACE :: String
_NAME_TREE_VIEW_MENU_REPLACE = "TreeViewPopupReplaceAction"

_NAME_TREE_VIEW_MENU_STARTUP :: String
_NAME_TREE_VIEW_MENU_STARTUP = "TreeViewPopupStartupAction"

_NAME_CODE_NOTE :: String
_NAME_CODE_NOTE = "CodeNote"

_NAME_MAIN_PANED :: String
_NAME_MAIN_PANED = "MainPaned"

_NAME_CODE_PANED :: String
_NAME_CODE_PANED = "CodePaned"

_NAME_TOOL_BT_DEBUG_START :: String
_NAME_TOOL_BT_DEBUG_START = "DebugStartBT"

_NAME_TOOL_BT_DEBUG_STOP :: String
_NAME_TOOL_BT_DEBUG_STOP = "DebugStopBT"

_NAME_TOOL_BT_STEP_OVER :: String
_NAME_TOOL_BT_STEP_OVER = "StepOverBT"

_NAME_TOOL_BT_STEP_IN :: String
_NAME_TOOL_BT_STEP_IN = "StepInBT"

_NAME_TOOL_BT_CONTINUE :: String
_NAME_TOOL_BT_CONTINUE = "ContinueBT"

_NAME_TOOL_BT_BUILD :: String
_NAME_TOOL_BT_BUILD = "BuildBT"

_NAME_TOOL_BT_DELETE :: String
_NAME_TOOL_BT_DELETE = "BreakPointDeleteBT"

_NAME_TOOL_BT_SAVE :: String
_NAME_TOOL_BT_SAVE = "SaveBT"

_NAME_TOOL_BT_INDENT :: String
_NAME_TOOL_BT_INDENT = "IndentBT"

_NAME_TOOL_BT_UNINDENT :: String
_NAME_TOOL_BT_UNINDENT = "UnindentBT"

_NAME_TOOL_BT_COMMENT :: String
_NAME_TOOL_BT_COMMENT = "BlockCommentBT"

_NAME_TOOL_BT_UNCOMMENT :: String
_NAME_TOOL_BT_UNCOMMENT = "BlockUnCommentBT"

_NAME_TOOL_BT_DEL_SEARCH :: String
_NAME_TOOL_BT_DEL_SEARCH = "SearchResultDeleteBT"

_NAME_CONSOLE_TEXT_VIEW :: String
_NAME_CONSOLE_TEXT_VIEW = "ConsoleTextView"

_NAME_CONSOLE_SCROLLED_WINDOW :: String
_NAME_CONSOLE_SCROLLED_WINDOW = "ConsoleScrolledWindow"

_NAME_TAG_TABLE :: String
_NAME_TAG_TABLE = "CodeTextTagTable"

_WIDGET_NAME_BREAK_POINT_TREE_VIEW :: String
_WIDGET_NAME_BREAK_POINT_TREE_VIEW = "BreakPointTreeView"

_BREAK_POINT_MARK :: T.Text
_BREAK_POINT_MARK = T.pack "BreakPointPosMark"

_BREAK_POINT_HIGHLIGHT_TAG :: T.Text
_BREAK_POINT_HIGHLIGHT_TAG = T.pack "BreakPointHighlightTag"


